/*
* JBoss, Home of Professional Open Source
* Copyright 2009, Red Hat Middleware LLC, and individual contributors
* as indicated by the @author tags. See the copyright.txt file in the
* distribution for a full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/
package org.jboss.osgi.framework.filter.property;

import java.util.Dictionary;


/**
 * DictionaryToPropertySource.
 * 
 * @author <a href="adrian@jboss.com">Adrian Brock</a>
 * @version $Revision: 1.1 $
 */
class DictionaryToPropertySource extends PropertySource
{
   /** The dictionary */
   @SuppressWarnings("unchecked")
   private Dictionary dictionary;
   
   /**
    * Create a new DictionaryToPropertySource.
    * 
    * @param dictionary the dictionary
    */
   @SuppressWarnings("unchecked")
   public DictionaryToPropertySource(Dictionary dictionary)
   {
      if (dictionary == null)
         throw new IllegalArgumentException("Null dictionary");
      this.dictionary = dictionary;
   }

   public Object getProperty(String key)
   {
      return dictionary.get(key);
   }
}
